MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032296Open CASCADE[OCCT] OCCT:Codingpublic2021-04-10 16:432021-04-17 14:02
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032296: Coding Rules - merge GCPnts_QuasiUniformDeflection.pxx into GCPnts_QuasiUniformDeflection.cxx
DescriptionGCPnts_QuasiUniformDeflection implemented using generic methods in GCPnts_QuasiUniformDeflection.pxx.
It is proposed replacing generic methods via C++ templates.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0100228)
git (administrator)
2021-04-10 16:45

Branch CR32296 has been created by kgv.

SHA-1: 87b624b367868393eca32193a6bc0fcfe9ba8c89


Detailed log of new commits:

Author: kgv
Date: Sat Apr 10 16:45:59 2021 +0300

    0032296: Coding Rules - merge GCPnts_QuasiUniformDeflection.pxx into GCPnts_QuasiUniformDeflection.cxx
(0100262)
git (administrator)
2021-04-12 23:20

Branch CR32296 has been updated forcibly by kgv.

SHA-1: 194c71af96d3684537ebfa05cb70909d51a953c1
(0100266)
kgv (developer)
2021-04-12 23:22

Please raise the patch
- OCCT: branch CR32296.
(0100384)
bugmaster (administrator)
2021-04-17 13:07

Combination -
OCCT branch : IR-2021-04-16
master SHA - 1294d5e39ed35dc97b2241956855fe794a03b0d8
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-16 SHA - 03c3cb382950144b11c09108f24673216c4e5922
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17987.850000000446 / 18020.24000000038 [-0.18%]
Products
Total CPU difference: 11564.760000000093 / 11543.43000000007 [+0.18%]
Windows-64-VC14:
OCCT
Total CPU difference: 19496.34375 / 19510.890625 [-0.07%]
Products
Total CPU difference: 12932.890625 / 12891.265625 [+0.32%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100407)
git (administrator)
2021-04-17 14:02

Branch CR32296 has been deleted by inv.

SHA-1: 194c71af96d3684537ebfa05cb70909d51a953c1

- Related Changesets
occt: master 194c71af
Timestamp: 2021-04-10 13:45:59
Author: kgv
Details ] Diff ]
0032296: Coding Rules - merge GCPnts_QuasiUniformDeflection.pxx into GCPnts_QuasiUniformDeflection.cxx
mod - src/GCPnts/FILES Diff ] File ]
mod - src/GCPnts/GCPnts_QuasiUniformDeflection.cxx Diff ] File ]
mod - src/GCPnts/GCPnts_QuasiUniformDeflection.hxx Diff ] File ]
rm - src/GCPnts/GCPnts_QuasiUniformDeflection.pxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-04-10 16:43 kgv New Issue
2021-04-10 16:43 kgv Assigned To => kgv
2021-04-10 16:45 git Note Added: 0100228
2021-04-12 23:20 git Note Added: 0100262
2021-04-12 23:22 kgv Note Added: 0100266
2021-04-12 23:22 kgv Assigned To kgv => bugmaster
2021-04-12 23:22 kgv Status new => resolved
2021-04-12 23:22 kgv Status resolved => reviewed
2021-04-17 13:07 bugmaster Note Added: 0100384
2021-04-17 13:07 bugmaster Status reviewed => tested
2021-04-17 13:12 bugmaster Test case number => Not required
2021-04-17 13:41 kgv Changeset attached => occt master 194c71af
2021-04-17 13:41 kgv Assigned To bugmaster => kgv
2021-04-17 13:41 kgv Status tested => verified
2021-04-17 13:41 kgv Resolution open => fixed
2021-04-17 14:02 git Note Added: 0100407


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker